Skip to main content
POST
/
datasets
/
{dataset_id}
/
snapshots
/
{snapshot_id}
/
files-added
/
{file_id}
/
download
Issue file download url
curl --request POST \
  --url https://api-dev.narrative.io/datasets/{dataset_id}/snapshots/{snapshot_id}/files-added/{file_id}/download \
  --header 'Authorization: Bearer <token>'
{
  "download_url": "https://narrative-datasets-dev.s3.amazonaws.com/datasets/companyId%3D1/datasetId%3D264/data/_nio_sample_128%3Dnull/countryCode_bucket%3D1/00000-357-27b8ba02-1c02-4761-85e5-5df9694015da-00001.parquet?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20220627T164615Z&X-Amz-SignedHeaders=host&X-Amz-Expires=21599&X-Amz-Credential=AKIA2B7T56CSCL4W7Y4P%2F20220627%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=500d020caa27cc1891530470ecf8a6ae5968a7603ab9124e2f5ee67164f925c9"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dataset_id
integer
required

Unique identifier for a dataset.

snapshot_id
integer
required

Unique identifier for a snapshot.

file_id
string
required

Unique identifier for a file.

Response

Ok

id
string